cURL
curl --request GET \
--url https://cmd.illusory.io/v1/proxies/{proxyName} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cmd.illusory.io/v1/proxies/{proxyName}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cmd.illusory.io/v1/proxies/{proxyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"proxy_name": "ILL-US-AU1-9999",
"nickname": null,
"isp": "Verizon",
"period": "weekly",
"auto_renew": false,
"auto_renew_interval": 1,
"added_at": "2050-12-04T17:43:16.407+00:00",
"expires_at": "2050-12-14T23:23:09.792+00:00",
"network_status": "online",
"server_ip": "198.765.543.21",
"h_port": 12345,
"s_port": 67890,
"auth_method": "basic",
"username": "john",
"password": "wick05",
"whitelist": null,
"auto_change": false,
"auto_change_time": 0,
"last_ip_change": "2050-12-04T17:51:40.339+00:00",
"last_reboot": "2050-12-04T17:51:40.339+00:00",
"traffic": 60156561622,
"h_threads": 99,
"s_threads": 0,
"city": "Austin",
"state": "TX"
}
}{
"ok": false,
"data": {
"proxy_name": "ILL-US-AU1-9999"
},
"message": "Proxy not found"
}Proxy Management
Get Proxy
Retrieves the details of a proxy server.
GET
/
v1
/
proxies
/
{proxyName}
cURL
Authorizations
The Authorization header is used to authenticate with the API using your Master API key. Value is of the format Bearer YOUR_KEY_HERE.
Path Parameters
Replace {proxyName} in the url path with YOUR_PROXY.
Was this page helpful?
⌘I